FOR %%G IN (%*) DO (
 IF EXIST %%G\imageinfo.bin (
  %%~dG
  cd %%~fG
  cd ..
  %~dp0recmod.exe %%G
  ren %%G %%~nxG-Temp >NUL
  IF %%~xG==.dll (move "%%G-Temp\*.dll" .>NUL)
  IF %%~xG==.exe (move "%%G-Temp\*.exe" .>NUL)
  IF %%~xG==.acm (move "%%G-Temp\*.acm" .>NUL)
  IF %%~xG==.mui (move "%%G-Temp\*.mui" .>NUL)
  rmdir /s /q %%G-Temp
 )
)
